Fix supported OS attributes for api.kde.org
ClosedPublic

Authored by vkrause on Aug 15 2019, 4:30 PM.

Details

Summary

Move the "maintainer needed" to a note, so it's not showing up globally
for all modules. Also, change "macOS" back to "MacOSX" (despite technically
being the right name), as every other module still uses MacOSX and thus
using anything else essentially adds a new OS on api.kde.org, globally.

Diff Detail

Repository
R169 Kirigami
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
vkrause created this revision.Aug 15 2019, 4:30 PM
Restricted Application added a project: Kirigami. · View Herald TranscriptAug 15 2019, 4:30 PM
Restricted Application added a subscriber: plasma-devel. · View Herald Transcript
vkrause requested review of this revision.Aug 15 2019, 4:30 PM
apol added a subscriber: apol.Aug 18 2019, 12:30 AM
apol added inline comments.
metainfo.yaml
12–13

Isn't it called macOS nowadays? Or is it a keyword we have that we'd need to change elsewhere?

vkrause added inline comments.Sun, Aug 18, 9:28 AM
metainfo.yaml
12–13

See commit message, yes. We'd need to change it everywhere in order to show up as a single "macOS" entry on api.kde.org. Alternatively we implement some form of OS normalization/mapping in kapidox.

IOW, this change improves the api.kde.org OS list from the current "Android | FreeBSD | Linux | MacOSX | Windows | iOS (maintainer needed) | macOS (maintainer needed)" to "Android | FreeBSD | Linux | MacOSX | Windows | iOS". Getting it to the ultimately correct "Android | FreeBSD | Linux | macOS | Windows | iOS" is a further change.

apol accepted this revision.Sun, Aug 18, 10:48 PM
This revision is now accepted and ready to land.Sun, Aug 18, 10:48 PM
This revision was automatically updated to reflect the committed changes.